Loan Booking API

After you have all the loan details call this API to book the loan into Lender system. The API would return a unique lead id and a loan account number. This loan account number should be used in the loan agreement.

To update any details apart from customer identifier information, call the same API with a PUT request on this URL.

Note that this cannot be done after the disbursal API is called. The disbursal API can be called only once.

PUT /api/v1/client/loan/<lead_id>/

To get any details about the lead, call the same API with a GET request.

GET /api/v1/client/loan/<lead_id>/

When you do a GET API call, you will get to know the status of the loan along with the data you have sent in the POST API. After the first API call is done, we would run policy and if the case is approved, the appropriate status would be returned.

The status can be:

Approved
In case loan is approved, the GET API response will also contain the loan account number.

Rejected
In case loan is rejected, the GET API response will also contain the loan rejection reason.

Sample Approved response:

{
    "is_success": true,
    "data": {
        "loan_ac_no": "<loan account number>",
        "status": "Approved"
    }
}

Sample Rejected response:

{
    "is_success": true,
    "data": {
        "rejection_reason": "<rejection reason>",
        "status": "Rejected"
    }
}
Patch /api/v1/client/loan/<lead_id>/

A PATCH API is used when you want to make a small change to existing data on the server. Instead of sending all the information again, you only send what you want to update.

How it works

You send only the fields you want to update.
For example, if you just want to update the email, your request body might look like this

{
  "email": "[email protected]"
}


Sample Request:

{
  "name": "John Doe",
  "email": "[email protected]",
  "city": "New York"
}

Note: You can include one or multiple fields. Only the fields you include will be updated.

Sample Response:

{
    "is_success": true,
    "data": {
        "lead_id": "<lead ID>",
        "loan_account_number": "DEMO123456",
        "co_applicants": [
            {}
        ]
    }
}

Response for Duplicate Partner Loan ID

Since Partner Loan ID is a unique field, re-creating a loan with the same ID will result in the following error.

The Loan Account Number and the lead ID of the existing Partner Loan ID are shared back.

{
    "is_success": false,
    "error": {
        "message": "Partner Loan ID already exists.",
        "code": "duplicate_partner_loan_id",
        "details": {
            "loan_account_number": "abc333495492",
            "lead_id": "d82e0371-b5d5-4cfa-b359-570f33d5d57f"
        }
    }
}

Sample Request JSON

{
	"mobile_number": "<customer mobile number>",
	"partner_loan_id": "<partner loan id>",
	"full_name": "<full name of the customer>",
	"email": "<email id of the customer>",
	"gender": "<gender of the customer>",
	"date_of_birth": "<date of birth of the customer>",
	"fathers_name": "<customer's father name>",
	"mothers_name": "<customer's mother name>",
	"address": "<address of the customer>",
	"pincode": "<pincode of the customer>",
	"monthly_income": "<monthly income of the customer>",
	"monthly_emi": "<monthly emi of the customer>",
	"credit_score": "<credit score of the customer>",
	"employment_type": "<employment type of the customer>",
	"company_name": "<company name of the customer>",
	"loan_application_date": "<loan application date of the customer>",
	"loan_tenure": "<Number of EMIs in months>",
	"agreement_date": "<date on the loan agreement>",
	"loan_amount": "<loan amount to be paid by the customer>",
	"repayment_count": "<number of installments to be paid by the customer>",
	"interest_rate": "<IRR charged to the customer>",
	"payment_frequency": "<monthly/weekly/fortnightly/other>",
	"loan_type": "<personal_loan/education_loan>",
	"agreement_signature_type": "<physical/e-signature/click-wrap>",
	"bank_account": {
		"ac_number": "<bank account number>",
		"ifsc_code": "<IFSC code of customer>",
		"nach_umrn": "<NACH UMRN of the given bank account>",
		"nach_type": "<physical/api-mandate>",
		"ac_name": "<name of the customer in bank account>"
	},
	"kyc": [{
			"kyc_type": "aadhaar",
			"identifier": "<last 4 digits of customer aadhaar number>",
			"verified_using": "<image/offline-eKYC/>",
			"verification_id": "<identifier used for KYC>",
			"kyc_name": "<name on the kyc document>",
			"is_verified": true,
			"address": "< only for aadhaar cases >"
		},
		{
			"kyc_type": "pan",
			"identifier": "<PAN number of the customer>",
			"verified_using": "<image/nsdl-api>",
			"verification_id": "<identifier used for KYC>",
			"kyc_name": "<name on the kyc document>",
			"is_verified": true
		}
	],
	"disbursal_detail": [{
		"date": "<Due date of tranche>",
		"amount": "<Amount to be released>",
		"disbursal_type": "<principal/withhold>",
		"processing_fee": "<processing fee>",
		"pre_emi": "<pre emi>",
		"gst": "<GST on the processing fee collected>",
		"subvention": "<Subvention amount, if any>",
		"upfront_emi": "<Upfront EMI, if any>",
		"downpayment": "<Downpayment, if any>",
		"insurance": "<Insurance, if any>"
	}],
	"repayment_schedule": [{
		"due_date": "<Due Date, when EMI is due>",
		"due_amount": "<Due Amount, which customer has to pay>",
		"principal_amount": "<Principal amount>",
		"interest_amount": "<Interest amount>"
	}],
	"additional_variables": {
		"foir": "< foir value >",
		"iir": "< iir value >",
		"no_of_enquiries": "< no of enquiries in last 3 months >",
		"no_of_tradeline_30_plus_3_month": "< count >",
		"no_of_tradeline_60_plus_6_month": "< count >",
		"no_of_tradeline_90_plus_ever": "< count >"
	},
  "co_applicant_details": [
    {
      "co_full_name": "< Co-applicant Full Name >",
      "co_dob": "< Co-applicant Date of Birth >",
      "co_email": "< Co-applicant Email ID >",
      "co_phone": "< Co-applicant Mobile Number >",
      "co_gender": "< Co-applicant Gender>",
      "co_aadhaar": "< Co-applicant Aadhar , last 4 digits >",
      "co_address": "< Co-applicant Address >",
      "co_pancard": "< Co-applicant PAN Number >",
      "co_pincode": "< Co-applicant Pincode >",
      "co_relation": "< Relationship with the Customer >"
    }
  ]
}
Body Params
string

Mobile Number of the Customer

string

Partner Loan Id

string

Full name of the Customer

string

Email Id of the Customer

int32

Gender of the Customer

date

Date of Birth of the Customer

string

Customer's Father Name

string

Customer's Mother Name

string

only for aadhaar cases

int64

Valid 6 Digit Pincode

float

Monthly Income of Customer

float

Monthly EMI of the Customer

int32

Credit Score of the Customer

int32

Employment type of the customer

string

Customer's Company Name

date

Loan application date, when the application was done.

date

Agreement date, when the agreement was signed with the customer. It can be same as loan application date.

int32

The line amount which is approved for the customer.

int32

Number of installments to be paid by the customer

float

Interest rate which is charged to the customer this is in annualized IRR space.

int32

Payment frequency at which the payment is to be done. (monthly/weekly/fortnightly/other)

int32
Defaults to 1

Loan product type. You can pass 1 as the default value. (personal_loan/education_loan)

int32

How the agreement is signed by the customer. (physical/e-signature/click-wrap)

ac_number
array of strings

Bank account number

ac_number
string

IFSC code of customer.

string

NACH UMRN of the given bank account

int32

Nach Type. (physical/api-mandate)

string

Name of the customer in Bank Account

int32

Type of KYC done by customer. (Aadhaar/PAN)

int32

last 4 digits of customer aadhaar number or PAN Number of customer.

int32

(image/offline-eKYC) or (image/nsdl-api)

string

Identifier used for KYC

string

Name on the kyc document

boolean
Defaults to true

The document must beverified, else the request would be declined.

date

Due date of tranche

int32

Amount to be released.

int32

(principal/withhold). Typically 0.

int32

processing fee

int32

Pre EMI which is to be deducted while disbursal.

int32

GST amount which is to be deducted while disbursal.

int32

Subvention amount which is to be deducted while disbursal.

int32

Upfront EMI which is to be deducted while disbursal.

int32

Downpayment which is collected from the customer and deposited.

int32

Insurance amount which is to be deducted.

int32

Coupon amount which is given to the customer.

date

Due Date, when EMI is due.

int32

Due Amount, which customer has to pay.

float

Principal amount due to the customer.

float

Interest amount payable by the customer in this EMI.

string

Co-Applicant Full Name

date

Co-Applicant Date of Birth

string

Co-Applicant Email ID

string

Co-Applicant Mobile Number

int32

Co-Applicant Gender

string

Co-Applicant Aadhar Number - Last 4 digits

string

Co-Applicant PAN Card

string

Co-Applicant Address

string

Co-Applicant Pincode

int32

Relationship with Customer

float

Use to hold the amount on temporary basis

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json